Page MenuHomePhabricator

Wrong Return-To URL in Special:Newsletter/xx/delete
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Install Newsletter Extension, and go to Special:Newsletters
  2. Create a newsletter Foo
  3. Click on delete button from the newsletter page

The message should at the bottom should be 'Return to Newsletter:Foo'.

Event Timeline

MtDu created this task.Nov 6 2016, 1:21 PM
MtDu added a comment.Nov 6 2016, 1:49 PM

Ah. I was going to claim this and fix it. Guess I should wait a little now. ;)

I would like to mentor this task for Google-Code-In-2016

I would like to mentor this task for Google-Code-In-2016

Thank you @Haritha28!

MtDu claimed this task.Nov 30 2016, 4:40 PM

I'll finish what I created. :)

Change 324490 had a related patch set uploaded (by MtDu):
Change Return-To URL in Special:Newsletter/xx/delete to 'Return to Newsletter:Foo' instead of 'Return to Special:Newsletter/1' - Part of migration to ContentHandler

https://gerrit.wikimedia.org/r/324490

Change 324490 merged by jenkins-bot:
Change Return-To URL in Special:Newsletter/xx/delete to 'Return to Newsletter:Foo' instead of 'Return to Special:Newsletter/1' - Part of migration to ContentHandler

https://gerrit.wikimedia.org/r/324490

MtDu closed this task as Resolved.Nov 30 2016, 10:07 PM
Qgil awarded a token.Dec 1 2016, 8:29 AM